Subject: Re: [manet] Which approach better for QoS implementation?

From: Liangping Ma <[email-masked]>
Date: Thu, 23 May 2002 20:33:45 -0400 (EDT)

Hi, Seoung-Bum,

    Thanks for your reply!

    The INSIGNIA control information is in the IP option field. And every
intermediate node is supposed to look into this field before
deciding which protocol is to be used. This makes INSIGNIA
transparent to any routing protocol. For this, I think all
nodes should be enabled to support INSIGNIA.

    One more question about the calcualtion of rate of a UDP flow.
In the latest swan paper, it says using weighted moving average on the
"rates". But how to get the "rates"? Since the traffic is discrete, a
fluid model does not fit it. I think we can only get approximated
"rates". Maybe we can divide the packet size by the inter-arrival time,
which is dynamic, to get an "instantaneous" rate. Then do averaging.

     Thanks!

Liangping

> Hello Lianping,
>
> I believe the first approach is the right approach. The second approach is
> merely
> a hack. It requires all nodes to be INSIGNIA-enabled to provide end-to-end
> adaptive service.
>
> In actual imlementation, API of an application specifies the payload type
> and
> etc. For example, MPEG-2 video server may maps I-frame/B-frame/P-frame into
> EQ/BQ with minimum and maximum resource requirement. If an application has
> no
> understanding of INSIGNIA, its resource/service requirements etc., only
> best-effort service can be supported.
>
> QOS socket (which is API for INSIGNIA) runs on top of UDP or TCP transport,
> so there's no need for any change in UDP/TCP. INSIGNIA is an IP layer
> signaling
> system. In order to support adaptive QOS, we also need some scheduling
> (e.g. WFQ, CBQ, etc) and media access control (e.g. EDCF, etc). In fact we
> need
> support from application layer, transport layer, IP layer and MAC layer
> in order to support QOS (even the adaptive QOS) in real world.
>
> - Seoung-Bum Lee
>
> ----- Original Message -----
> From: "Liangping Ma" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, May 22, 2002 11:45 AM
> Subject: [manet] Which approach better for QoS implementation?
>
>
> > Hi, everyone,
> >
> >     I am implementing INSIGNIA, a type of QoS, in glomosim. The appraoch
> > is to change the behavior of the IP functionality of each node so that
> INSIGNIA
> > can be supported. The problem is that I do not want any application (for
> > exmaple, ftps) to be served with INSIGNIA. Instead, the user can configure
> > which nodes to use INSIGNIA to their applications, and which nodes to use
> > Best Effort (ordinary) service. One way is that the user specifies the
> > type of service to be used in the packets from the application layer, and
> > then the lower layers snoop this information. The other way is to
> > explictly let the IP layers of specific nodes (for example, client nodes
> > for ftps) to initiate INSIGNIA, and everything in the application and
> > transport layer remains the same.
> >
> >      If I adopt the first approach, I have to change the application
> > layer, and the transport layer. For example, I may need to create a type
> > of application called INSIGNIA ftp. For the second approach, no change is
> > made in layers above IP, and the QoS is exclusively a task of the IP
> > layer. But the user has to give commands to the IP layers of some nodes.
> > This may cause some problems in configuration (config.in).
> >
> >       Which approach is easier to implement for simulation? And which
> > would be used in the real world?
> >
> > Thanks!
> >
> > Sincerely yours,
> > Liangping Ma
> >
> >
> >
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
>
>
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Liangping Ma <[email-masked]>
Date: Thu, 23 May 2002 20:33:45 -0400 (EDT)

Hi, Seoung-Bum,

    Thanks for your reply!

     Thanks!

Liangping